import connect, { ConnectionPool, Queryable, sql } from '@databases/mysql';
import { Column } from './getColumns';
import { Constraint } from './getConstraints';
import { Table } from './getTables';
export { connect, Queryable, ConnectionPool, sql };
export interface SchemaQuery {
    schemaName?: string;
}
export interface TableDetails extends Table {
    columns: Column[];
    constraints: Constraint[];
}
export interface Schema {
    tables: TableDetails[];
}
export default function getSchema(connection: Queryable, { schemaName }?: SchemaQuery): Promise<Schema>;
